Create Authentication
curl --request POST \
--url https://api.zapier.com/v2/authentications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"title": "My new auth",
"app": "8cdbc496-c95c-4f19-b3a3-fee03ed5f924",
"authentication_fields": {
"secret": "example_E4CrHVvRuxTXrPFLyyZFeRJwJcx2ELQZ"
}
}
}
'import requests
url = "https://api.zapier.com/v2/authentications"
payload = { "data": {
"title": "My new auth",
"app": "8cdbc496-c95c-4f19-b3a3-fee03ed5f924",
"authentication_fields": { "secret": "example_E4CrHVvRuxTXrPFLyyZFeRJwJcx2ELQZ" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
title: 'My new auth',
app: '8cdbc496-c95c-4f19-b3a3-fee03ed5f924',
authentication_fields: {secret: 'example_E4CrHVvRuxTXrPFLyyZFeRJwJcx2ELQZ'}
}
})
};
fetch('https://api.zapier.com/v2/authentications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"next": null,
"prev": null
},
"meta": {
"count": 1,
"limit": 1,
"offset": 0
},
"data": [
{
"type": "authentication",
"id": "019487c8-7d3b-7e2f-a04e-3b2c1d5e6f70",
"app": "a8aaed31-e257-4479-aaa9-ca02fe2fab04",
"is_expired": false,
"title": "Example zapier@example.com #5"
}
]
}{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Authentications
Create Authentication
Creates a new Authentication for the provided App. See our Adding an Authentication guide to get started.
When using OAuth
This endpoint requires the connection:write OAuth scope.
POST
/
v2
/
authentications
Create Authentication
This API is rate limited.
Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Body
application/json
Inputs to create a new Authentication
The object used to create a new Authentication
Show child attributes
Show child attributes
Response
Base Response definition to be used in other Response Serializers.
Be sure to include the data field after using this class
Was this page helpful?
⌘I